SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                ANAG                                  ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/anag.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                         DATE/TIME INFO                               ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SELECT

    CURRENT_DATE,

    CURRENT_TIME,

    CURRENT_TIMESTAMP

FROM RDB$DATABASE;  -- noqa: LXR, PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                PAGHE                                 ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/paghe.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



-- Fondo previdenza marinara

---- Richiesto da Luigi Brigida (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=13959)

---- TODO: RIPORTARE SOLO SU CASESTUDIO (in prima installazione è già stato riportato)

ALTER TABLE FondoPrevMarinara ADD ComponentiFisseRetrib Currency;

COMMIT WORK; -- skip error



ALTER TABLE FondoPrevMarinara ADD ComponentiVariabiliRetrib Currency;

COMMIT WORK; -- skip error



ALTER TABLE FondoPrevMarinara ADD ComponentiStraordRetrib Currency;

COMMIT WORK; -- skip error



ALTER TABLE FondoPrevMarinara ADD PresContrattoIndAz Booleanint;

COMMIT WORK; -- skip error



ALTER TABLE FondoPrevMarinara ADD GiornoSbarco Arithmetic;

COMMIT WORK; -- skip error

-- END Fondo previdenza marinara



UPDATE ELEMENTORETRIBUTIVO SET IDENTEPREVIDENZIALE = 1, NETTO = 0 WHERE IDELEMENTO IN (7801, 7803, 7806, 7612);

COMMIT WORK; -- skip error



UPDATE CONTRATTODETTAGLIOFONDO SET ALIQUOTADAT2 = '0.0239' WHERE IDCONTRATTODETTAGLIOFONDO = '14';

COMMIT WORK; -- skip error



UPDATE ELEMENTORETRIBUTIVO SET NETTO = 1 WHERE IDELEMENTO IN (7801, 7612);

COMMIT WORK; -- skip error



UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Fondo Fasdac ("Mario Besusso") c/lav', DESCRIZIONE2 = 'Fondo Fasdac ("Mario Besusso") c/lav' WHERE IDELEMENTO = '7803';;

COMMIT WORK; -- skip error



UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Fondo Fasdac ("Mario Besusso") c/dat',  DESCRIZIONE2 = 'Fondo Fasdac ("Mario Besusso") c/dat' WHERE IDELEMENTO = '7804';

COMMIT WORK; -- skip error



UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Fondo "Mario Negri" c/lav',  DESCRIZIONE2 = 'Fondo "Mario Negri" c/lav' WHERE IDELEMENTO = '7801';

COMMIT WORK; -- skip error



UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Fondo "Mario Negri" c/dat', DESCRIZIONE2 = 'Fondo "Mario Negri" c/dat' WHERE IDELEMENTO = '7802';

COMMIT WORK; -- skip error



UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Fondo "Antonio Pastore" c/lav (sogg. irpef)', DESCRIZIONE2 = 'Fondo "Antonio Pastore" c/lav' WHERE IDELEMENTO = '7806';

COMMIT WORK; -- skip error



UPDATE ELEMENTORETRIBUTIVO SET DESCRIZIONE = 'Fondo "Antonio Pastore" c/dat (sogg. irpef)', DESCRIZIONE2 = 'Fondo "Antonio Pastore" c/dat' WHERE IDELEMENTO = '7807';

COMMIT WORK; -- skip error



UPDATE ELEMENTORETRIBUTIVO SET TFR = 1 WHERE IDELEMENTO IN (7803, 7806);

COMMIT WORK; -- skip error



-- Istat foi settembre 2023

INSERT INTO ISTAT_FOI (ANNO, MESE, INDICE, BASE) VALUES ('2023', '9', '119.300000', '2015');

COMMIT WORK; -- skip error



-- Istat foi ottobre 2023

INSERT INTO ISTAT_FOI (ANNO, MESE, INDICE, BASE) VALUES ('2023', '10', '119.200000', '2015');

COMMIT WORK;



-- Elemento mancante su db melchionna

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES ('1604', '16', '1', '0', NULL, NULL, NULL, 'Liquidazione giorni infortunio in carenza al 60% (dal 2° al 4° gg)', 'Carenza infort. al 60% (dal 2° al 4° gg)', '1', NULL, '1', NULL, NULL, '0', NULL, '0', '1.000000', '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, NULL, '1', NULL, NULL, NULL, '0', NULL, '0');

COMMIT WORK; -- skip error



-- Apprendistato dettaglio 320

---- Richiesto da Stampacchia (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=13966)



INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('320', '4S', 'APPB', '1', '12', '0.700000', NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('320', '4S', 'APPB', '13', '24', '0.850000', NULL, NULL);

COMMIT WORK; -- skip error

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('320', '4S', 'APPB', '25', '36', '0.930000', NULL, NULL);

COMMIT WORK; -- skip error



-- END Apprendistato dettaglio 320



-- Aliquote Irpef 2024

INSERT INTO IRPEF_SCAGLIONE (IDSCAGLIONE, ANNO, REDDITODA, REDDITOA, ALIQUOTA, VALIDODAL, VALIDOAL, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('1', '2024', '0.000000', '28000.000000', '0.230000', '01.01.2024', '31.12.2024', NULL, NULL);

INSERT INTO IRPEF_SCAGLIONE (IDSCAGLIONE, ANNO, REDDITODA, REDDITOA, ALIQUOTA, VALIDODAL, VALIDOAL, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('3', '2024', '28000.010000', '50000.000000', '0.350000', '01.01.2024', '31.12.2024', NULL, NULL);

INSERT INTO IRPEF_SCAGLIONE (IDSCAGLIONE, ANNO, REDDITODA, REDDITOA, ALIQUOTA, VALIDODAL, VALIDOAL, NOTE, ULTIMOAGGIORNAMENTO) VALUES ('5', '2024', '50000.010000', NULL, '0.430000', '01.01.2024', '31.12.2024', NULL, NULL);

COMMIT WORK;

-- END Aliquote Irpef 2024



-- Caricamento dati Cu provvisoria

---- Richiesto da Stampacchia (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=13954)

---- TODO: RIPORTARE SOLO SU CASESTUDIO (in prima installazione è già stato riportato)

ALTER TABLE PosizioneFiscaleAnnoPagato ALTER RedditoImponibileNetto TO ImponibileIrpefNettoTempoIndet;

COMMIT WORK; -- skip error



ALTER TABLE PosizioneFiscaleAnnoPagato ADD ImponibileIrpefNettoTempoDet CURRENCY;

COMMIT WORK; -- skip error



ALTER TABLE PosizioneFiscaleAnnoPagato ADD AddizRegionale2 CURRENCY;

COMMIT WORK; -- skip error



ALTER TABLE PosizioneFiscaleAnnoPagato ADD AddizComunale3 CURRENCY;

COMMIT WORK; -- skip error



ALTER TABLE PosizioneFiscaleAnnoPagato ADD Opzione Smallint;

COMMIT WORK; -- skip error



ALTER TABLE PosizioneFiscaleAnnoPagato ADD CessazioneRapporto Booleanint;

COMMIT WORK; -- skip error



-- END Caricamento dati Cu provvisoria



DELETE FROM CONTRATTORATEOVALORE WHERE IDCONTRATTODETTAGLIO = 420 AND IDTIPORATEO = 3;

COMMIT WORK; -- skip error



UPDATE ELEMENTORETRIBUTIVO SET INAIL = 1 WHERE IDELEMENTO IN (7803, 7806);

COMMIT WORK; -- skip error



UPDATE CONTRATTORATEOVALORE SET VALORE = '2.500000' WHERE IDCONTRATTODETTAGLIO = '420' AND IDRATEO = '1' AND IDTIPORATEO = '1';

COMMIT WORK; -- skip error



-- Uniemens 4.21.0 del 27 ottobre 2023



INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('M044', 'Versamento contributo 1% della retribuzione imponibile a fini previdenziali di cui alla Delibera del Consiglio di Amministrazione dell’INPGI n. 27 del 23 giugno 2021. Messaggio n. 3596/2023.', NULL, NULL, '1', NULL, NULL);

COMMIT WORK;



-- END Uniemens 4.21.0 del 27 ottobre 2023



INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, NASCOSTO, NOTE, CUSTOM, GRUPPO) VALUES ('7704', '77', '2', '0', NULL, NULL, NULL, 'Trattenuta giornaliera pensione Inps', 'Trattenuta giornaliera pensione Inps', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '0', NULL);

COMMIT WORK; -- skip error



UPDATE ELEMENTORETRIBUTIVO SET GRUPPO = 3, DESCRIZIONE = 'Trattenuta QFLD', DESCRIZIONE2 = 'Trattenuta QFLD', NASCOSTO = 1 WHERE IDELEMENTO = 7704;

COMMIT WORK; -- skip error



INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('N.01.00',	'LAVORO A TEMPO INDETERMINATO CON PIATTAFORMA', '15.01.2020', NULL);

COMMIT WORK; -- skip error

INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('N.02.00',	'LAVORO A TEMPO DETERMINATO CON PIATTAFORMA', '15.01.2020', NULL);

COMMIT WORK; -- skip error

INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('N.03.00',	'LAVORO A TEMPO DETERMINATO PER SOSTITUZIONE CON PIATTAFORMA', '15.01.2020', NULL);

COMMIT WORK; -- skip error



INSERT INTO CO_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('H.03.00', 'Prestazione agricola di lavoro subordinato occasionale a tempo determinato', '20.01.2023', NULL);

COMMIT WORK;



-- Festività 4 novembre



DELETE FROM CONTRATTOFESTIVITARETRIB;

COMMIT WORK;



INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('1', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('2', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('3', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('5', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('6', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('7', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('8', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('9', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('10', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('11', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('12', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('13', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('14', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('15', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('16', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('17', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('18', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('19', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('20', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('21', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('22', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('23', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('24', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('25', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('26', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('27', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('28', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('31', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('32', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('33', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('34', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('35', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('36', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('37', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('38', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('40', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('41', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('42', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('43', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('44', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('45', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('46', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('47', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('48', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('49', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('50', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('51', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('52', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('53', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('54', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('55', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('56', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('57', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('58', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('59', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('60', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('61', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('62', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('63', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('64', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('65', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('66', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('67', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('68', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('70', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('71', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('72', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('73', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('74', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('77', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('79', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('80', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('81', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('82', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('83', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('84', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('85', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('86', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('88', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('89', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('90', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('92', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('93', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('94', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('95', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('96', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('97', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('98', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('100', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('104', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('105', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('106', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('107', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('108', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('109', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('110', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('111', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('112', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('115', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('116', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('117', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('118', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('119', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('120', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('121', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('122', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('123', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('124', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('125', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('126', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('127', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('128', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('129', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('130', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('131', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('132', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('133', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('134', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('140', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('143', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('144', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('145', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('146', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('151', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('152', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('153', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('154', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('155', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('156', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('157', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('158', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('159', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('160', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('161', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('162', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('163', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('164', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('165', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('166', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('167', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('168', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('169', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('170', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('171', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('172', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('173', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('174', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('175', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('176', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('177', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('178', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('180', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('181', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('186', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('187', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('188', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('189', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('190', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('191', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('192', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('194', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('196', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('197', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('198', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('200', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('201', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('202', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('207', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('208', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('210', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('211', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('213', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('214', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('215', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('216', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('217', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('218', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('219', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('220', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('221', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('222', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('223', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('224', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('226', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('228', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('302', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('304', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('305', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('306', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('308', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('309', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('319', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('320', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('321', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('322', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('323', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('324', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('331', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('332', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('333', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('334', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('335', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('336', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('337', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('338', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('339', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('340', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('341', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('342', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('343', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('344', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('345', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('346', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('347', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('348', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('349', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('350', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('351', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('352', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('353', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('355', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('356', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('357', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('358', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('359', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('361', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('362', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('363', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('364', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('365', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('400', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('401', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('402', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('403', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('404', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('405', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('406', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('407', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('408', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('409', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('410', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('411', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('412', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('413', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('414', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('415', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('416', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('417', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('418', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('419', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('420', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('1000', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('1001', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('1002', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('1003', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('1004', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('1005', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('1006', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('1007', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('1008', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('1009', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('1010', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('1011', '4');

INSERT INTO CONTRATTOFESTIVITARETRIB (IDCONTRATTODETTAGLIO, OPZIONEFESTSOPP) VALUES ('1012', '4');

COMMIT WORK;



-- END Festività 4 novembre



-- Aggiornamento dettaglio 20

---- Richiesto da Giuseppe D'Asero (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=14087)

---- Utilizzato il dettaglio 20 in quanto molto simile e non utilizzato da nessuno (non era configurato correttamente)



DELETE FROM CONTRATTODETTAGLIOLIVELLOVOCE WHERE IDCONTRATTODETTAGLIO = 20;

DELETE FROM CONTRATTODETTAGLIOVOCE WHERE IDCONTRATTODETTAGLIO = 20 AND IDVOCE IN (7, 13);



INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('20', '45', NULL, '101', '1', '1', '1', NULL, '1', NULL);

COMMIT WORK;



---- Minimo contrattuale

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('20', '1', '5', '01.09.2022', '2135.770000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('20', '2', '5', '01.09.2022', '2002.420000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('20', '3', '5', '01.09.2022', '1743.750000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('20', '4', '5', '01.09.2022', '1635.270000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('20', '5', '5', '01.09.2022', '1573.710000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('20', '6', '5', '01.09.2022', '1501.310000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('20', '7', '5', '01.09.2022', '1395.750000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- E.A.R.

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('20', '1', '45', '01.09.2022', '30.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('20', '2', '45', '01.09.2022', '30.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('20', '3', '45', '01.09.2022', '30.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('20', '4', '45', '01.09.2022', '30.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('20', '5', '45', '01.09.2022', '30.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('20', '6', '45', '01.09.2022', '30.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('20', '7', '45', '01.09.2022', '30.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('20', '1', '', '25.00', '174.00', '5.00', '40.00', NULL, NULL, '0', '13', NULL, NULL, '13000', '', NULL, NULL);

COMMIT WORK;



-- END Aggiornamento dettaglio 20



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                END                                   ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS